statistics-0.13.3.0: A library of statistical types, data, and functions

Copyright | (C) 2012 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | DeriveDataTypeable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Beta

Contents

- Constructor
- Accessors

Description

Synopsis

- data BetaDistribution
- betaDistr :: Double -> Double -> BetaDistribution
- improperBetaDistr :: Double -> Double -> BetaDistribution
- bdAlpha :: BetaDistribution -> Double
- bdBeta :: BetaDistribution -> Double

# Documentation

data BetaDistribution Source #

The beta distribution

Instances

Eq BetaDistribution Source # |
Methods (==) :: BetaDistribution -> BetaDistribution -> Bool # (/=) :: BetaDistribution -> BetaDistribution -> Bool #
Data BetaDistribution Source # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> BetaDistribution -> c BetaDistribution #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c BetaDistribution #

toConstr :: BetaDistribution -> Constr #

dataTypeOf :: BetaDistribution -> DataType #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c BetaDistribution) #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c BetaDistribution) #

gmapT :: (forall b. Data b => b -> b) -> BetaDistribution -> BetaDistribution #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> BetaDistribution -> r #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> BetaDistribution -> r #

gmapQ :: (forall d. Data d => d -> u) -> BetaDistribution -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> BetaDistribution -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> BetaDistribution -> m BetaDistribution #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> BetaDistribution -> m BetaDistribution #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> BetaDistribution -> m BetaDistribution #

Read BetaDistribution Source # |
Methods readsPrec :: Int -> ReadS BetaDistribution # readList :: ReadS [BetaDistribution] # readPrec :: ReadPrec BetaDistribution # readListPrec :: ReadPrec [BetaDistribution] #
Show BetaDistribution Source # |
Methods showsPrec :: Int -> BetaDistribution -> ShowS # show :: BetaDistribution -> String # showList :: [BetaDistribution] -> ShowS #
Generic BetaDistribution Source # |
Associated Types type Rep BetaDistribution :: * -> * # Methods from :: BetaDistribution -> Rep BetaDistribution x # to :: Rep BetaDistribution x -> BetaDistribution #
ToJSON BetaDistribution Source # |
Methods toJSON :: BetaDistribution -> Value # toEncoding :: BetaDistribution -> Encoding # toJSONList :: [BetaDistribution] -> Value # toEncodingList :: [BetaDistribution] -> Encoding #
FromJSON BetaDistribution Source # |
Methods parseJSON :: Value -> Parser BetaDistribution # parseJSONList :: Value -> Parser [BetaDistribution] #
Binary BetaDistribution Source # |
Methods put :: BetaDistribution -> Put # get :: Get BetaDistribution # putList :: [BetaDistribution] -> Put #
ContGen BetaDistribution Source # |
Methods genContVar :: PrimMonad m => BetaDistribution -> Gen (PrimState m) -> m Double Source #
Entropy BetaDistribution Source # |
Methods entropy :: BetaDistribution -> Double Source #
MaybeEntropy BetaDistribution Source # |
Methods maybeEntropy :: BetaDistribution -> Maybe Double Source #
Variance BetaDistribution Source # |
Methods variance :: BetaDistribution -> Double Source # stdDev :: BetaDistribution -> Double Source #
MaybeVariance BetaDistribution Source # |
Methods maybeVariance :: BetaDistribution -> Maybe Double Source # maybeStdDev :: BetaDistribution -> Maybe Double Source #
Mean BetaDistribution Source # |
Methods mean :: BetaDistribution -> Double Source #
MaybeMean BetaDistribution Source # |
Methods maybeMean :: BetaDistribution -> Maybe Double Source #
ContDistr BetaDistribution Source # |
Methods density :: BetaDistribution -> Double -> Double Source # quantile :: BetaDistribution -> Double -> Double Source # logDensity :: BetaDistribution -> Double -> Double Source #
Distribution BetaDistribution Source # |
Methods cumulative :: BetaDistribution -> Double -> Double Source # complCumulative :: BetaDistribution -> Double -> Double Source #
type Rep BetaDistribution Source # |
type Rep BetaDistribution = D1 (MetaData "BetaDistribution" "Statistics.Distribution.Beta" "statistics-0.13.3.0-Fvkducafmyw9ljEnBhS6Nm" False) (C1 (MetaCons "BD" PrefixI True) ((:*:) (S1 (MetaSel (Just Symbol "bdAlpha") SourceUnpack SourceStrict DecidedUnpack) (Rec0 Double)) (S1 (MetaSel (Just Symbol "bdBeta") SourceUnpack SourceStrict DecidedUnpack) (Rec0 Double))))

# Constructor

betaDistr Source #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. Both shape parameters must be positive.

improperBetaDistr Source #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. This construtor doesn't check parameters.

# Accessors

bdAlpha :: BetaDistribution -> Double Source #

Alpha shape parameter

bdBeta :: BetaDistribution -> Double Source #

Beta shape parameter